name='gpu-screen-recorder-ui'
version='1.3.0'
release='1'
desc='A fullscreen overlay UI for GPU Screen Recorder in the style of ShadowPlay.'
desk_ru='Полноэкранный интерфейс наложения для GPU Screen Recorder в стиле ShadowPlay.'
homepage='https://git.dec05eba.com/gpu-screen-recorder-ui'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('GPL-3.0-only')
provides=('gpu-screen-recorder-ui')
conflicts=('gpu-screen-recorder-ui')

deps=(
  "gpu-screen-recorder"
  "gpu-screen-recorder-notification"
  "libglvnd"
  "libX11"
  "libXrandr"
  "libXrender"
  "libXdamage"
  "libXcomposite"
  "libXfixes"
  "libXext"
  "libXi"
  "libXcursor"
  "kernel-lt-headers"
  "pulseaudio-libs"
)
deps_arch=(
  "gpu-screen-recorder"
  "gpu-screen-recorder-notification"
  "libglvnd"
  "libx11"
  "libxrandr"
  "libxrender"
  "libxcomposite"
  "libxfixes"
  "libxext"
  "libxi"
  "libxcursor"
  "linux-api-headers"
  "libpulse"
)

build_deps=(
  "meson"
  "libglvnd-devel"
  "libX11-devel"
  "libXrandr-devel"
  "libXrender-devel"
  "libXcomposite-devel"
  "libXfixes-devel"
  "libXext-devel"
  "libXi-devel"
  "libXcursor-devel"
  "kernel-lt-headers"
  "pulseaudio-libs-devel"
)
build_deps_arch=(
  "meson"
)
sources=("https://dec05eba.com/snapshot/gpu-screen-recorder-ui.git.${version}.tar.gz")
checksums=('SKIP')

scripts=(
	['postinstall']='postinstall.sh'
)

build() {
  cd "$srcdir"
  meson build
  meson compile -C build -j $(($(nproc) - 1))
}

package() {
  cd "$srcdir"
  meson install -C build --destdir "$pkgdir"
}

files() {
  echo ./usr/local/bin/gsr-global-hotkeys
  echo ./usr/local/bin/gsr-ui
  echo ./usr/local/bin/gsr-ui-cli
  echo ./usr/local/lib/systemd/user/gpu-screen-recorder-ui.service
  printf '"%s" ' ./usr/local/share/gsr-ui/fonts/*
  printf '"%s" ' ./usr/local/share/gsr-ui/images/*
}